# class GxG::IO::Input

### Public Class Methods

new(*args) click to toggle source

ensure mode is read-only, else raise Exception

Calls superclass method `GxG::IO::IO::new`

    # File lib/gxg/gxg_io.rb, line 2509
    def initialize(*args)
      params = self.process_parameters(*args)
      if params[:mode].index(:write)
        params[:mode].delete(:write)
      end
      if params[:mode].index(:readwrite)
        params[:mode].delete(:readwrite)
      end
      super(params)
      self
    end